# DataExchange
TKSTEPBase
StepBasic

# StepBasic_UncertaintyMeasureWithUnit Class Reference

`#include <StepBasic_UncertaintyMeasureWithUnit.hxx>`

Inheritance diagram for StepBasic_UncertaintyMeasureWithUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_UncertaintyMeasureWithUnit ()
| Returns a UncertaintyMeasureWithUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_MeasureValueMember)&aValueComponent, const StepBasic_Unit &aUnitComponent)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_MeasureValueMember)&aValueComponent, const StepBasic_Unit &aUnitComponent, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_UncertaintyMeasureWithUnit::StepBasic_UncertaintyMeasureWithUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_UncertaintyMeasureWithUnit::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_UncertaintyMeasureWithUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_MeasureWithUnit.

virtual Standard_EXPORT void StepBasic_UncertaintyMeasureWithUnit::Init | ( | const Handle(StepBasic_MeasureValueMember)& | aValueComponent,
|  | const StepBasic_Unit & | aUnitComponent,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_UncertaintyMeasureWithUnit::Init | ( | const Handle(StepBasic_MeasureValueMember)& | aValueComponent,
|  | const StepBasic_Unit & | aUnitComponent
| ) | `[virtual]`

| Reimplemented from StepBasic_MeasureWithUnit.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_UncertaintyMeasureWithUnit::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_UncertaintyMeasureWithUnit::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_UncertaintyMeasureWithUnit::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_UncertaintyMeasureWithUnit::description `[private]`

Handle_TCollection_HAsciiString StepBasic_UncertaintyMeasureWithUnit::name `[private]`

The documentation for this class was generated from the following file:

- StepBasic_UncertaintyMeasureWithUnit.hxx